import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		metric_id: commonLogic.appcommonhandle("指标标识",null),
		metric_name: commonLogic.appcommonhandle("指标名称",null),
		metric_type: commonLogic.appcommonhandle("类型",null),
		ext_op: commonLogic.appcommonhandle("附加设置",null),
		ref_metric: commonLogic.appcommonhandle("参照列",null),
		build_id: commonLogic.appcommonhandle("模型构建标识",null),
		build_name: commonLogic.appcommonhandle("模型构建",null),
		model_id: commonLogic.appcommonhandle("模型标识",null),
		model_name: commonLogic.appcommonhandle("模型",null),
		cfg: commonLogic.appcommonhandle("配置",null),
		field_set: commonLogic.appcommonhandle("属性集合",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
	},
		views: {
			editview: {
				caption: commonLogic.appcommonhandle("指标",null),
				title: commonLogic.appcommonhandle("指标编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("指标",null),
				title: commonLogic.appcommonhandle("指标表格视图",null),
			},
		},
		main_form: {
			details: {
				tabpage1: commonLogic.appcommonhandle("规则设置",null), 
				tabpage2: commonLogic.appcommonhandle("属性集合",null), 
				tabpage3: commonLogic.appcommonhandle("调试参数",null), 
				tabpanel1: commonLogic.appcommonhandle("",null), 
				group1: commonLogic.appcommonhandle("指标基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("指标标识",null), 
				srfmajortext: commonLogic.appcommonhandle("指标名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				da_metricname: commonLogic.appcommonhandle("指标名称",null), 
				metrictype: commonLogic.appcommonhandle("类型",null), 
				extop: commonLogic.appcommonhandle("附加设置",null), 
				refmetric: commonLogic.appcommonhandle("参照列",null), 
				cfg: commonLogic.appcommonhandle("配置",null), 
				fieldset: commonLogic.appcommonhandle("属性集合",null), 
				debugkey: commonLogic.appcommonhandle("主键",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
				modelid: commonLogic.appcommonhandle("模型标识",null), 
				buildid: commonLogic.appcommonhandle("模型构建标识",null), 
				modelname: commonLogic.appcommonhandle("模型",null), 
				da_metricid: commonLogic.appcommonhandle("指标标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				da_metricid: commonLogic.appcommonhandle("指标标识",null),
				da_metricname: commonLogic.appcommonhandle("指标名称",null),
				metrictype: commonLogic.appcommonhandle("类型",null),
				extop: commonLogic.appcommonhandle("附加设置",null),
				refmetric: commonLogic.appcommonhandle("参照列",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
				createdate: commonLogic.appcommonhandle("建立时间",null),
				buildname: commonLogic.appcommonhandle("模型构建",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_da_metricname_like: commonLogic.appcommonhandle("指标名称(文本包含(%))",null), 
				n_metrictype_eq: commonLogic.appcommonhandle("类型(等于(=))",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem1_testrule: {
				caption: commonLogic.appcommonhandle("调试指标",null),
				tip: commonLogic.appcommonhandle("调试指标",null),
			},
			tbitem2: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;